Bug 857230 - [Content Search] Mouse over errata item displays error message in the web ui
[Content Search] Mouse over errata item displays error message in the web ui
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Petr Chalupa
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-13 16:29 EDT by Og Maciel
Modified: 2015-05-04 21:30 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When users mouse-over an errata item that has a "plus" (+) icon next to the errata name, the following error is displayed in the Web UI: private method `split' called for nil:NilClass (NoMethodError) This update adds checks for null values and omits sections where the attribute is empty. This removes the error.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:52:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
reproducer.sh (1012 bytes, application/x-shellscript)
2012-09-13 16:29 EDT, Og Maciel
no flags Details
traceback (34.39 KB, text/plain)
2012-09-13 16:31 EDT, Og Maciel
no flags Details
Screenshot (13.49 KB, image/png)
2012-09-13 16:32 EDT, Og Maciel
no flags Details

  None (edit)
Description Og Maciel 2012-09-13 16:29:46 EDT
Created attachment 612624 [details]
reproducer.sh

Description of problem:

Mouse-over an errata item that has a "plus" (+) icon next to the errata name displays the following error in the web ui:

  private method `split' called for nil:NilClass (NoMethodError)

Version-Release number of selected component (if applicable):

* candlepin-0.7.8-1.el6cf.noarch
* candlepin-selinux-0.7.8-1.el6cf.noarch
* candlepin-tomcat6-0.7.8-1.el6cf.noarch
* katello-1.1.12-5.el6cf.noarch
* katello-all-1.1.12-5.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-4.el6cf.noarch
* katello-cli-common-1.1.8-4.el6cf.noarch
* katello-common-1.1.12-5.el6cf.noarch
* katello-configure-1.1.9-2.el6cf.noarch
* katello-glue-candlepin-1.1.12-5.el6cf.noarch
* katello-glue-pulp-1.1.12-5.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch

How reproducible:


Steps to Reproduce:
1. Create a repository and sync and promote the EPEL repository (or follow the attached script)
2. Go to Content Search and select Errata for content. Search
3. Expand the epel repository and select an errata item that has a "plus" icon in front of its name (e.g. FEDORA-EPEL-2001-0097)
  
Actual results:

Instead of getting a tooltip, you see the following error message:

  private method `split' called for nil:NilClass (NoMethodError)

Expected results:


Additional info:
Comment 1 Og Maciel 2012-09-13 16:31:13 EDT
Created attachment 612625 [details]
traceback
Comment 2 Og Maciel 2012-09-13 16:32:10 EDT
Created attachment 612626 [details]
Screenshot
Comment 5 Petr Chalupa 2012-10-01 09:36:17 EDT
fixed in 4cdb40a491405aac6f26db8fa7769aa3de5a199e
Comment 8 Og Maciel 2012-10-02 21:10:57 EDT
Verified using:

* candlepin-0.7.8-1.el6cf.noarch
* candlepin-selinux-0.7.8-1.el6cf.noarch
* candlepin-tomcat6-0.7.8-1.el6cf.noarch
* katello-1.1.12-12.el6cf.noarch
* katello-all-1.1.12-12.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-6.el6cf.noarch
* katello-cli-common-1.1.8-6.el6cf.noarch
* katello-common-1.1.12-12.el6cf.noarch
* katello-configure-1.1.9-6.el6cf.noarch
* katello-glue-candlepin-1.1.12-12.el6cf.noarch
* katello-glue-pulp-1.1.12-12.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch
Comment 10 errata-xmlrpc 2012-12-04 14:52:49 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.